Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
ed25519_internal.h File Reference
`#include <botan/internal/ed25519_fe.h>`
`#include <botan/loadstor.h>`

Go to the source code of this file.

## Classes
struct | Botan::ge_p3

## Namespaces
| Botan

## Functions
template<size_t S, int64_t MUL = 1>
void | Botan::carry (int64_t &h0, int64_t &h1)
template<size_t S>
void | Botan::carry0 (int64_t &h0, int64_t &h1)
template<size_t S>
void | Botan::carry0 (int32_t &h0, int32_t &h1)
void | Botan::ge_double_scalarmult_vartime (uint8_t out[32], const uint8_t a[], const ge_p3 *A, const uint8_t b[])
int | Botan::ge_frombytes_negate_vartime (ge_p3 *, const uint8_t *)
void | Botan::ge_scalarmult_base (uint8_t out[32], const uint8_t in[32])
uint64_t | Botan::load_3 (const uint8_t in[3])
uint64_t | Botan::load_4 (const uint8_t *in)
void | Botan::redc_mul (int64_t &s1, int64_t &s2, int64_t &s3, int64_t &s4, int64_t &s5, int64_t &s6, int64_t &X)
void | Botan::sc_muladd (uint8_t *, const uint8_t *, const uint8_t *, const uint8_t *)
void | Botan::sc_reduce (uint8_t *)